List FX operations
curl --request GET \
--url https://sandbox.payfi.global/v1/operations \
--header 'X-PayFi-Api-Key: <api-key>' \
--header 'X-PayFi-Nonce: <api-key>' \
--header 'X-PayFi-Signature: <api-key>'import requests
url = "https://sandbox.payfi.global/v1/operations"
headers = {
"X-PayFi-Api-Key": "<api-key>",
"X-PayFi-Nonce": "<api-key>",
"X-PayFi-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-PayFi-Api-Key': '<api-key>',
'X-PayFi-Nonce': '<api-key>',
'X-PayFi-Signature': '<api-key>'
}
};
fetch('https://sandbox.payfi.global/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"operationId": "op_example",
"partnerOperationId": "acme-op-123",
"customerId": "cus_example",
"status": "REQUIREMENTS_REVIEW_REQUIRED",
"operationType": "IMPORT_GOODS",
"exchangeModality": "TERM",
"requirementsStatus": "REVIEW_REQUIRED",
"requiredDocumentTypes": [],
"missingDocumentTypes": [],
"score0To100": null,
"riskLevel": null,
"createdAt": "2026-05-20T12:00:00.000Z",
"updatedAt": "2026-05-20T12:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "The request payload is invalid."
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication failed."
}
}Operations
List FX operations
Lists operations scoped to the signed partner integration. Supports exact ID filters, search terms, status filters, and page-based pagination.
GET
/
v1
/
operations
List FX operations
Authorizations
Query Parameters
Exact PayFi operation ID filter.
Example:
"op_example"
Exact partner operation ID filter.
Example:
"acme-op-123"
Exact PayFi customer ID filter.
Example:
"cus_example"
Searches operation IDs, partner operation IDs, customer IDs, customer legal names, partner customer IDs, status fields, and operation type aliases such as Importação.
Example:
"Acme"
Page number starting at 1.
Required range:
x >= 1Example:
1
Items per page. Maximum 100.
Required range:
1 <= x <= 100Example:
20
⌘I